org.apache.ignite.internal.processors.tracing

## Class NoopTracing

- java.lang.Object
- - org.apache.ignite.internal.processors.tracing.NoopTracing

All Implemented Interfaces:
  SpanManager, Tracing

    public class NoopTracing
    extends Object
    implements Tracing

Noop implementation of `Tracing`.

### Field Summary

Fields
`static byte[]` `NOOP_SERIALIZED_SPAN` Noop serialized span.

### Constructor Summary

Constructors
Constructor and Description
`NoopTracing()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`@NotNull TracingConfigurationManager` `configuration()` Returns the `TracingConfigurationManager` instance that allows to Configure tracing parameters such as sampling rate for the specific tracing coordinates such as scope and label.
`Span` `create(@NotNull SpanType spanType, @Nullable byte[] serializedParentSpan)` Creates Span given name and explicit parent.
`Span` `create(@NotNull SpanType spanType, @Nullable Span parentSpan)` Creates Span given name and explicit parent.
`@NotNull Span` `create(@NotNull SpanType spanType, @Nullable Span parentSpan, @Nullable String label)` Creates Span given name and explicit parent.
`TraceableMessagesHandler` `messages()`
`byte[]` `serialize(@NotNull Span span)` Serializes span to byte array to send context over network.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.tracing.SpanManager

`create`

### Field Detail

#### NOOP_SERIALIZED_SPAN

    public static final byte[] NOOP_SERIALIZED_SPAN

Noop serialized span.

### Constructor Detail

#### NoopTracing

    public NoopTracing()

Constructor.

### Method Detail

#### messages

    public TraceableMessagesHandler messages()

Specified by:
  `messages` in interface `Tracing`
Returns:
  Helper to handle traceable messages.

#### create

    public Span create(@NotNull
                       @NotNull SpanType spanType,
                       @Nullable
                       @Nullable Span parentSpan)

Creates Span given name and explicit parent.

Specified by:
  `create` in interface `SpanManager`
Parameters:
  `spanType` - Type of span to create.
  `parentSpan` - Parent span.
Returns:
  Created span.

#### create

    public Span create(@NotNull
                       @NotNull SpanType spanType,
                       @Nullable
                       @Nullable byte[] serializedParentSpan)

Creates Span given name and explicit parent.

Specified by:
  `create` in interface `SpanManager`
Parameters:
  `spanType` - Type of span to create.
  `serializedParentSpan` - Parent span as serialized bytes.
Returns:
  Created span.

#### create

    @NotNull
    public @NotNull Span create(@NotNull
                                         @NotNull SpanType spanType,
                                         @Nullable
                                         @Nullable Span parentSpan,
                                         @Nullable
                                         @Nullable String label)

Creates Span given name and explicit parent.

Specified by:
  `create` in interface `SpanManager`
Parameters:
  `spanType` - Type of span to create.
  `parentSpan` - Parent span.
  `label` - Label.
Returns:
  Created span.

#### serialize

    public byte[] serialize(@NotNull
                            @NotNull Span span)

Serializes span to byte array to send context over network.

Specified by:
  `serialize` in interface `SpanManager`
Parameters:
  `span` - Span.

#### configuration

    @NotNull
    public @NotNull TracingConfigurationManager configuration()

Returns the `TracingConfigurationManager` instance that allows to

- Configure tracing parameters such as sampling rate for the specific tracing coordinates such as scope and label.
- Retrieve the most specific tracing parameters for the specified tracing coordinates (scope and label)
- Restore the tracing parameters for the specified tracing coordinates to the default.
- List all pairs of tracing configuration coordinates and tracing configuration parameters.

Specified by:
  `configuration` in interface `Tracing`
Returns:
  `TracingConfigurationManager` instance.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022